1

installed firefox 54 on ubuntu 16.04. The last command was sudo ln -s /opt/firefox55/firefox-bin /usr/bin/firefox. When I want to run firefox using firefox, it says permission denied. What is the problem? Would the old firefox version works with something likefirefoxold?

  • Could run these to collect some info and add output to the question? which firefox; ls -l /usr/bin/firefox; ls -l /opt/firefox55/firefox-bin – user.dz Aug 2 '18 at 7:20
  • 1
    Once agin i extracted tar package & ran "sudo ln -s /opt/firefox54/firefox-bin /usr/bin/firefox". when i run "firefox", it says "cannot execute binary file:Exec format error". which firefox gives: usr/bin/firefox. ls -l /usr/bin/firefox: lrwxrwxrwx root root /usr/bin/firefox->/opt/firefox54/firefox-bin. ls -l /opt/firefox54/firefox-bin gives -rwxr-xr-x crnd crnd /opt/firefox54/firefox-bin – monali Aug 2 '18 at 8:24
  • This is not answering your question, but one thing to consider is to use firefox snap. sudo snap install firefox Much easier – marosg Aug 2 '18 at 8:52
  • You may be interested in installation of ESR version (you will get security updates and it supports legacy addons). See this Q&A. – N0rbert Aug 2 '18 at 10:05
0

The mistake i did was that i unzipped the tar package in windows machine and then copied the unzipped folder to ubuntu system. I should extract the tar package in ubuntu only. This was my first mistake. And regarding "cannot execute binary file:Exec format error", this was bcause i installed 64bit package of mozilla whereas it is 32-bit OS. THese two things i changed and as of now it works...Incase it helps someone so posting

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.